Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_NamedValue_var Class Reference

The T_var class for NamedValue. More...

`#include <NVList.h>`

Collaboration diagram for CORBA_NamedValue_var:

[legend]
List of all members.

## Public Methods
| CORBA_NamedValue_var (void)
| CORBA_NamedValue_var (CORBA_NamedValue_ptr)
| CORBA_NamedValue_var (const CORBA_NamedValue_var &)
| ~CORBA_NamedValue_var (void)
CORBA_NamedValue_var & | operator= (CORBA_NamedValue_ptr)
CORBA_NamedValue_var & | operator= (const CORBA_NamedValue_var &)
CORBA_NamedValue_ptr | operator-> (void) const
| operator const CORBA_NamedValue_ptr & () const
| in, inout, out, _retn. More...
| operator CORBA_NamedValue_ptr & ()
CORBA_NamedValue_ptr | in (void) const
CORBA_NamedValue_ptr & | inout (void)
CORBA_NamedValue_ptr & | out (void)
CORBA_NamedValue_ptr | _retn (void)
CORBA_NamedValue_ptr | ptr (void) const
## Private Attributes
CORBA_NamedValue_ptr | ptr_

## Detailed Description

The T_var class for NamedValue.

As any other pseudo object NamedValue must have a T_var class, the interface an semantics are specified in the CORBA spec. = NOTE We use CORBA_NamedValue_ptr as the _ptr type instead of CORBA::NamedValue_ptr, this is an attempt to reduced the cyclic dependencies in TAO.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_NamedValue_var::CORBA_NamedValue_var | ( | void |  | ) |

ACE_INLINE CORBA_NamedValue_var::CORBA_NamedValue_var | ( | CORBA_NamedValue_ptr | p | ) |

ACE_INLINE CORBA_NamedValue_var::CORBA_NamedValue_var | ( | const CORBA_NamedValue_var & | p | ) |

ACE_INLINE CORBA_NamedValue_var::~CORBA_NamedValue_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_NamedValue_ptr CORBA_NamedValue_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA_NamedValue_ptr CORBA_NamedValue_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_NamedValue_ptr & CORBA_NamedValue_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_NamedValue_var::operator const CORBA_NamedValue_ptr & | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_NamedValue_var::operator CORBA_NamedValue_ptr & | ( |  | ) |

ACE_INLINE CORBA_NamedValue_ptr CORBA_NamedValue_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_NamedValue_var & CORBA_NamedValue_var::operator= | ( | const CORBA_NamedValue_var & | p | ) |

ACE_INLINE CORBA_NamedValue_var & CORBA_NamedValue_var::operator= | ( | CORBA_NamedValue_ptr | p | ) |

ACE_INLINE CORBA_NamedValue_ptr & CORBA_NamedValue_var::out | ( | void |  | ) |

ACE_INLINE CORBA_NamedValue_ptr CORBA_NamedValue_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_NamedValue_ptr CORBA_NamedValue_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- NVList.h
- NVList.i